ISC dhclient < 3.1-ESV-R1 / 4.1-ESV-R2 / 4.2.1-P1 Remote Code Execution

High Log Correlation Engine Plugin ID 800649

Synopsis

ISC dhclient does not strip or escape shell meta-characters, which can lead to remote code execution.

Description

ISC dhclient did not strip or escape certain shell meta-characters in responses from the dhcp server (like hostname) before passing the responses on to dhclient-script. Depending on the script and OS, this can result in execution of exploit code on the client.

Solution

Upgrade to 3.1-ESV-R1, 4.1-ESV-R2, or 4.2.1-P1, or later.

See Also

kb.isc.org/article/AA-00891

Plugin Details

Severity: High

ID: 800649

Family: Generic

Published: 2013/05/23

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

Patch Publication Date: 2011/04/05

Vulnerability Publication Date: 2011/04/05

Reference Information

CVE: CVE-2011-0997

BID: 47176